Skip to main content
PUT
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
prepaid-commits
/
{id}
cURL
curl --request PUT \
  --url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "total_value": 0,
  "start_date": "2023-12-25",
  "entity": 123,
  "product": 123,
  "description": "<string>",
  "currency": "<string>",
  "exchange_rate": 0,
  "exchange_rate_book": 0,
  "discount_percentage": 50,
  "rate": 50000000000000,
  "expiration_date": "2023-12-25",
  "priority": -1,
  "subledger": 123,
  "overage_invoice_cadence": "monthly",
  "auto_send_overage_invoices": true,
  "overage_invoice_start_month": "2023-12-25",
  "department": 123,
  "tags": "<string>"
}
'
{
  "id": 123,
  "contract": 123,
  "entity_name": "<string>",
  "product_name": "<string>",
  "name": "<string>",
  "total_value": 0,
  "remaining_value": 0,
  "start_date": "2023-12-25",
  "status": "ACTIVE",
  "is_invoiced": true,
  "invoice": 123,
  "department_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "entity": 123,
  "product": 123,
  "description": "<string>",
  "currency": "<string>",
  "exchange_rate": 0,
  "exchange_rate_book": 0,
  "discount_percentage": 50,
  "rate": 50000000000000,
  "expiration_date": "2023-12-25",
  "priority": -1,
  "subledger": 123,
  "overage_invoice_cadence": "monthly",
  "auto_send_overage_invoices": true,
  "overage_invoice_start_month": "2023-12-25",
  "department": 123,
  "tags": "<string>"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

contract_id
integer
required
id
integer
required

Body

name
string
required
Maximum string length: 250
total_value
number<double>
required
Required range: -1000000000000000000 < x < 1000000000000000000
start_date
string<date>
required
entity
integer | null
product
integer | null
description
string | null
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
discount_percentage
number<double>

Discount applied to gross usage (e.g. 20.00 for 20%)

Required range: 0 <= x <= 100
rate
number<double> | null

List price per unit. Prepaid usage = rate * (1 - discount%). Overage = rate (no discount).

Required range: 0 <= x < 100000000000000
expiration_date
string<date> | null
priority
integer

Drawdown order when multiple commits exist (lower = higher priority)

Required range: -2147483648 <= x <= 2147483647
subledger
integer | null
overage_invoice_cadence
enum<string>

How often overage/on-demand usage is invoiced

  • monthly - Monthly
  • quarterly - Quarterly
  • biannual - Bi Annualy
  • annual - Annual
  • one_time - One Time
Available options:
monthly,
quarterly,
biannual,
annual,
one_time
auto_send_overage_invoices
boolean

Automatically send overage invoices when generated

overage_invoice_start_month
string<date> | null

Anchor date for overage billing cycles. Defaults to start_date.

department
integer | null
tags
string | null

Response

200 - application/json
id
integer
required
contract
integer
required
entity_name
string | null
required
product_name
string | null
required
name
string
required
Maximum string length: 250
total_value
number<double>
required
Required range: -1000000000000000000 < x < 1000000000000000000
remaining_value
number<double>
required
Required range: -1000000000000000000 < x < 1000000000000000000
start_date
string<date>
required
status
enum<string>
required
  • ACTIVE - Active
  • EXHAUSTED - Exhausted
  • EXPIRED - Expired
Available options:
ACTIVE,
EXHAUSTED,
EXPIRED
is_invoiced
boolean
required
invoice
integer | null
required
department_name
string | null
required
created_at
string<date-time> | null
required
last_modified_at
string<date-time> | null
required
entity
integer | null
product
integer | null
description
string | null
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
discount_percentage
number<double>

Discount applied to gross usage (e.g. 20.00 for 20%)

Required range: 0 <= x <= 100
rate
number<double> | null

List price per unit. Prepaid usage = rate * (1 - discount%). Overage = rate (no discount).

Required range: 0 <= x < 100000000000000
expiration_date
string<date> | null
priority
integer

Drawdown order when multiple commits exist (lower = higher priority)

Required range: -2147483648 <= x <= 2147483647
subledger
integer | null
overage_invoice_cadence
enum<string>

How often overage/on-demand usage is invoiced

  • monthly - Monthly
  • quarterly - Quarterly
  • biannual - Bi Annualy
  • annual - Annual
  • one_time - One Time
Available options:
monthly,
quarterly,
biannual,
annual,
one_time
auto_send_overage_invoices
boolean

Automatically send overage invoices when generated

overage_invoice_start_month
string<date> | null

Anchor date for overage billing cycles. Defaults to start_date.

department
integer | null
tags
string | null